struct foo { int x; int y; };
struct foo bar[10];
static void baz (void)
{
  int i;

#if 1
  bar[0].y = 0;
#endif

  for (i = 0; i < 10; i++)
    bar[i].y = 0;
}

#if 0
extern void foo (void *);
struct bar { int x; int y; };
static void baz (struct bar *x) { foo (x); }
#endif

#if 0
static const char *
foo (void)
{
  return "hello, world";
}
#endif
